<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><!-- This file was converted to xhtml by Writer2xhtml ver. 0.9.2. See http://www.hj-gym.dk/~hj/writer2latex for more info. -->

<meta name="generator" content="HTML Tidy for tsWebEditor (www.tswebeditor.tk) (vers 4 July 2006), see www.w3.org" /><title>Authentication</title>

<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<link href="http://purl.org/dc/elements/1.1/" rel="schema.DC" />
<meta content="Jens Mittelbach" name="DC.creator" />
<meta content="2008-11-20T16:44:16.97" name="DC.date" />
<link rel="stylesheet" href="../help.css" charset="utf-8" type="text/css" /></head>
<body>
<h1 id="toc0">Authentication</h1>
<p>The authentication dialogue can be brought up by:</p>
<ol>
<li>
<p>clicking on the <em>Login</em> icon in the <em>Welcome
Screen</em> of <em>TextGridLab</em>:</p>
<div> <img alt="Login icon in Welcome Screen" class="frameGraphics" id="LoginiconinWelcomeScreen7Cgraphics" src="authentication-img1.png" /> </div>
</li>
<li>
<p>selecting a function or view that requires authentication
(e.g. creating a new project, creating a new object, opening the <em>Navigator</em>),</p>
</li>
</ol>
<p>TextGrid uses Shibboleth for single sign-on authentication
purposes. In the Shibboleth model, the individual user’s home
organisation (identity provider, IdP) is responsible for authenticating
them – that is, (a) for checking that the credentials (a
username/password combination) the user presents are correct, and (b)
for passing on necessary identity information to service providers. The
organisational infrastructure Shibboleth depends on has not yet been
fully implemented in Germany. For this reason, the identity information
of TextGrid users is, at this stage, provided by a virtual home
organisation <em>TextGrid Community IdP</em>.</p>
<div class="frameFrame" id="Rahmen47Cframe">
<div> <img alt="Authentication dialogue" class="frameGraphics" id="Authenticationdialogue7Cgraphics" src="authentication-img2.png" /> </div>
<p class="Figure">Figure: Authentication dialogue</p>
</div>
<p>Users who have a TextGrid account with <em>TextGrid Community IdP</em>
can authenticate using their individual username/password combination. 
You can obtain a TextGrid account using a web form at 
<a href="http://www.textgrid.de/beta/installation">www.textgrid.de/beta/installation</a>
or sending an email with your contact details to 
<a href="mailto:register@textgridlab.org">register@textgridlab.org</a>.</p>

<p>Users who do not have a TextGrid account and want to authenticate via their 
home organisation should click on the button <em>Log in via DFN-AAI</em>. 
They can then select their identity provider and log in to TextGridLab using 
the credentials of their home organisation.</p>

<p>When a user has successfully logged in, their login status and
<em>TextGridLab User ID</em> are displayed on the <em>Welcome
Screen</em>.</p>
<p>Users who have directly registered with TextGrid and are not
authenticated via another IdP can change the password for their
TextGrid account and update their email address. Select “Help” in the
menubar and leftclick “Authentication”. An authentication information
dialogue is shown that displays the user’s User ID. Click on the <em>Change
Password</em> button. For safety reasons, a dialogue appears that
requires you to re-authenticate. Type in your username and current
password and click on <em>Login</em>. You can now update
your email address and choose a new password.</p>
<p>In some cases it may be necessary to start a new session in <em>TextGridLab</em>.
This can be achieved by re-authentication. Select “Help” in the menubar
and leftclick “Authentication” for the authentication information
dialogue to appear. Clicking on the <em>Re-Authenticate</em>
button brings up the authentication dialogue. You can now select your
identity provider “TextGrid Community IdP” in the dropdown menu.
Refresh your authentication by clicking on the <em>Select</em>
button.</p>
<p>To log out, just quit or restart the <em>TextGridLab</em> application or use
the corresponding button in the dialog at Help / Authentication.
<!--Currently, logging out can only be done by quitting the <em>TextGridLab</em>
application.--></p>
<p class="NoteP"><span class="Note">Note:</span><span class="Note">
</span>The authentication procedure
can only be executed properly if the web browser <em>TextGridLab</em>
uses for displaying HTML content is set to accept cookies. Under
Microsoft Windows, TextGridLab uses the rendering engine of Internet
Explorer regardless of which application is the system’s standard web
browser. Adjust your settings using the Windows Control Panel. Select
“Internet Options” and set the privacy level to “Medium” or “Medium
High”.</p>
</body></html>